package org.jaggregator.rss;

import java.io.IOException;

/**
 * A ChannelExporter is used to write a <code>Channel</code>
 * object to external storage. It depends on the implementation
 * how the storage is specified.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.5 $
 */
public interface ChannelExporter
{
boolean canWrite(Version version);
void export(Channel channel)
  throws IOException;
}
