package org.jaggregator.rss;

import java.util.Calendar;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import org.apache.commons.lang.enum.ValuedEnum;

/**
 * SkipDay.java
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.4 $
 */
public class SkipDay 
  extends ValuedEnum
{
public static final int MONDAY_VALUE  = Calendar.MONDAY;
public static final int TUESDAY_VALUE  = Calendar.TUESDAY;
public static final int WEDNESDAY_VALUE  = Calendar.WEDNESDAY;
public static final int THURSDAY_VALUE  = Calendar.THURSDAY;
public static final int FRIDAY_VALUE  = Calendar.FRIDAY;
public static final int SATURDAY_VALUE  = Calendar.SATURDAY;
public static final int SUNDAY_VALUE  = Calendar.SUNDAY;

public static final SkipDay MONDAY = 
  new SkipDay( "Monday", MONDAY_VALUE);
public static final SkipDay TUESDAY = 
  new SkipDay( "Tuesday", TUESDAY_VALUE);
public static final SkipDay WEDNESDAY =
  new SkipDay( "Wednesday", WEDNESDAY_VALUE);
public static final SkipDay THURSDAY = 
  new SkipDay( "Thursday", THURSDAY_VALUE);
public static final SkipDay FRIDAY = 
  new SkipDay( "Friday", FRIDAY_VALUE);
public static final SkipDay SATURDAY = 
  new SkipDay( "Saturday", SATURDAY_VALUE);
public static final SkipDay SUNDAY = 
  new SkipDay( "Sunday", SUNDAY_VALUE);

private SkipDay(String name, int value) 
{
  super(name, value);
}
 
public static SkipDay getEnum(String skipDay) 
{
  return (SkipDay) getEnum(SkipDay.class, skipDay);
}

public static SkipDay getEnum(int skipDay) 
{
  return (SkipDay) getEnum(SkipDay.class, skipDay);
}

public static Map getEnumMap() 
{
  return getEnumMap(SkipDay.class);
}

public static List getEnumList() 
{
  return getEnumList(SkipDay.class);
}

public static Iterator iterator() 
{
  return iterator(SkipDay.class);
}
}
