package org.jaggregator.rss.common;

import org.jaggregator.rss.Converter;
import org.jaggregator.rss.ConverterSet;

/**
 * Convinience class, which implements an
 * <code>ConverterSet</code> with no converters.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.2 $
 */
public class EmptyConverterSet 
 implements ConverterSet
{
public EmptyConverterSet() 
{}

/**
 * Returns an empty array.
 *
 * @return an empty <code>Converter[]</code> value
 */
public Converter[] getConverters()
{
  return new Converter[0];
}
}
