package org.jaggregator.rss.modules;

import org.apache.commons.digester.Digester;
import org.apache.commons.digester.RuleSet;

/**
 * A ruleset for parsing the Content module in RSS 2.00.
 *
 * @author <a href="mailto:jsz@jaggregator.de">Janek Schwarz</a>
 * @version $Revision: 1.4 $
 */
public class ContentModuleRuleSet_2_00 
 implements RuleSet
{
public ContentModuleRuleSet_2_00() 
{}

/**
 * Return the namespace that identifies this module.
 */
public String getNamespaceURI()
{
  return ContentModule.NAMESPACE;
}

public void addRuleInstances(Digester digester)
{
  digester.addObjectCreate(
    "*/item/encoded",
    "org.jaggregator.rss.modules.ContentModuleImpl_1_00");
  digester.addSetTop("*/item/encoded",
                     "addTo");
  digester.addCallMethod("*/item/encoded",
                         "setContent",
                         0,
                         new Class[] { String.class });
}
}
