package org.jaggregator.rss.rss_0_91;

import java.net.URL;
import org.jaggregator.rss.ChannelImage;

/**
 * Description of an image representing the channel.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.3 $
 */
public interface ChannelImage_0_91
  extends ChannelImage
{
/**
 * Get the width of the image. Maximum value for width is 144,
 * default value is 88.
 */
int getWidth();

/**
 * Set the width of the image. Maximum value for width is 144,
 * default value is 88.
 */
void setWidth(int width);

/**
 * Test whether this image has a widht.
 */
boolean hasWidth();

/**
 * Get the height of the image. Maximum value for width is 400,
 * default value is 31.
 */
int getHeight();

/**
 * Set the height of the image. Maximum value for width is 400,
 * default value is 31.
 */
void setHeight(int height);

/**
 * Test whether this image has a height.
 */
boolean hasHeight();

/**
 * Get the text that is included in the TITLE attribute of the
 * link formed around the image in the HTML rendering.
 */
String getDescription();

/**
 * Set the text that is included in the TITLE attribute of the
 * link formed around the image in the HTML rendering.
 */
void setDescription(String description);

/**
 * Test whether this image has a description.
 */
boolean hasDescription();
}
