package org.jaggregator.rss.rss_0_92;

import org.apache.commons.digester.AbstractObjectCreationFactory;
import org.jaggregator.rss.Cloud;
import org.jaggregator.rss.CloudFactory;
import org.jaggregator.rss.common.CloudImpl;
import org.xml.sax.Attributes;

/**
 * Concrete Factory for <code>CloudImpl</code> objects
 * conforming to RSS 0.92 specification.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.4 $
 */
public class CloudFactory_0_92
  extends AbstractObjectCreationFactory
  implements CloudFactory
{
public Object createObject(Attributes attributes)
{
  return create();
}

public Cloud create()
{
  return new CloudImpl();
}
}
