package org.jaggregator.rss.util;

import java.util.EventListener;

/**
 * Object implement this interface in order to get notified when
 * a channel will be or was retrieved.
 *
 * @author <a href="mailto:jsz@jaggregator.de">Janek Schwarz</a>
 * @version $Revision: 1.1 $
 */
public interface ChannelRetrievalListener
  extends EventListener
{
public void channelRetrievalStarted(ChannelRetrievalEvent e);
public void channelRetrievalFinished(ChannelRetrievalEvent e);
}
