package org.jaggregator.rss.util;

import org.jaggregator.rss.RssException;

/**
 * An <code>UnknownVersionException</code> is thrown when the
 * <code>ChannelVersionDetector</code> is unable to detect the
 * version of a channel.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.3 $
 */
public class UnknownVersionException
  extends RssException
{
public UnknownVersionException() 
{
  super();
}

public UnknownVersionException(String msg)
{
  super(msg);
}

public UnknownVersionException(Throwable cause)
{
  super(cause);
}

public UnknownVersionException(String msg, Throwable cause)
{
  super(msg, cause);
}
}
