package org.jaggregator.generator;

import org.apache.commons.collections.Predicate;
import org.jaggregator.config.SubscriptionListDecl;



/**
 * SubscriptionListDeclByReferencePredicate.java
 *
 * @author <a href="mailto:jsz@jaggregator.de">Janek Schwarz</a>
 * @version $Revision: 1.1 $
 */
public class SubscriptionListDeclByReferencePredicate 
 implements Predicate
{
private String ref;

public SubscriptionListDeclByReferencePredicate(String ref) 
{
  this.ref = ref;
}

public boolean evaluate(Object object)
{
  SubscriptionListDecl decl = (SubscriptionListDecl) object;
  
  return ref.equals(decl.getId());
}
}
