package org.jaggregator.generator;

import org.apache.commons.collections.Predicate;
import org.jaggregator.config.TemplateDecl;

/**
 * TemplateDeclBySubscriptionListDeclRef.java
 *
 * @author <a href="mailto:jsz@jaggregator.de">Janek Schwarz</a>
 * @version $Revision: 1.1 $
 */
public class TemplateDeclBySubscriptionListDeclRefPredicate
 implements Predicate
{
private String ref;

public TemplateDeclBySubscriptionListDeclRefPredicate(String ref) 
{
  this.ref = ref;
}

public boolean evaluate(Object object)
{
  TemplateDecl decl = (TemplateDecl) object;
  
  return decl.containsSubscriptionListRef(ref);
}
}
