package org.jaggregator.rss;

import org.apache.commons.lang.exception.NestableException;

/**
 * Exception that is thrown when a failure happens in one of the
 * classes of the rss package.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.3 $
 */
public class RssException 
  extends NestableException 
{
public RssException() 
{
  super();
}

public RssException(String msg)
{
  super(msg);
}

public RssException(Throwable cause)
{
  super(cause);
}

public RssException(String msg, Throwable cause)
{
  super(msg, cause);
}
}
