package org.jaggregator.rss.convert;

import java.net.MalformedURLException;
import java.net.URL;
import org.apache.commons.beanutils.ConversionException;
import org.jaggregator.rss.Converter;

/**
 * Converts a String into an URL if possible.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.4 $
 */
public class UrlConverter 
  implements Converter
{
public Class getClazz()
{
  return URL.class;
}

public Object convert(Class type,
                      Object value)
  throws ConversionException
{
  try
    {
      return new URL((String) value);
    }
  catch(MalformedURLException ex)
    {
      throw new ConversionException(ex);
    }
}
}
