package org.jaggregator.rss.rss_0_90;

import org.jaggregator.rss.ConverterSet;
import org.jaggregator.rss.convert.UrlConverter;
import org.jaggregator.rss.convert.VersionConverter;
import org.jaggregator.rss.Converter;

/**
 * ConverterSet for parsing RSS 0.90.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.1 $
 */
public class ConverterSet_0_90
  implements ConverterSet
{
protected static final Converter[] CONVERTERS =
  new Converter[]
  {
    new UrlConverter(),
    new VersionConverter(),
  };

public Converter[] getConverters()
{
  return CONVERTERS;
}
}
