package org.jaggregator.rss.rss_0_92;

import org.apache.commons.digester.AbstractObjectCreationFactory;
import org.jaggregator.rss.ChannelFactory;
import org.xml.sax.Attributes;
import org.jaggregator.rss.Channel;

/**
 * Concrete Factory for <code>ChannelImpl</code> objects
 * conforming to RSS 0.92 specification.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.3 $
 */
public class ChannelFactory_0_92 
  extends AbstractObjectCreationFactory
  implements ChannelFactory
{
public Object createObject(Attributes attributes)
{
  return create();
}

public Channel create()
{
  return new ChannelImpl_0_92();
}
}
