package org.jaggregator.rss.rss_0_92;

import org.apache.commons.digester.AbstractObjectCreationFactory;
import org.jaggregator.rss.SourceFactory;
import org.xml.sax.Attributes;
import org.jaggregator.rss.Source;

/**
 * Concrete Factory for <code>SourceImpl_0_92</code> objects
 * conforming to RSS 0.92 specification.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.3 $
 */
public class SourceFactory_0_92 
  extends AbstractObjectCreationFactory
  implements SourceFactory
{
public Object createObject(Attributes attributes)
{
  return create();
}

public Source create()
{
  return new SourceImpl_0_92();
}
}
