package org.jaggregator.rss.rss_1_00;

import org.apache.commons.digester.AbstractObjectCreationFactory;
import org.jaggregator.rss.ItemFactory;
import org.xml.sax.Attributes;
import org.jaggregator.rss.Item;

/**
 * Concrete Factory for <code>ItemImpl</code> objects
 * conforming to RSS 1.00 specification.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.3 $
 */
public class ItemFactory_1_00 
  extends AbstractObjectCreationFactory
  implements ItemFactory
{
public Object createObject(Attributes attributes)
{
  return create();
}

public Item create()
{
  return new ItemImpl_1_00();
}
}
