package org.jaggregator.rss.rss_2_00;

import org.jaggregator.rss.Converter;
import org.jaggregator.rss.ConverterSet;
import org.jaggregator.rss.rss_0_92.ConverterSet_0_92;

/**
 * ConverterSet for parsing RSS 2.00.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.4 $
 */
public class ConverterSet_2_00
  extends ConverterSet_0_92
{
protected static final Converter[] CONVERTERS;

static
{
  CONVERTERS = new Converter[ConverterSet_0_92.CONVERTERS.length];

  int i = 0;
  for(i = 0; i < ConverterSet_0_92.CONVERTERS.length; i++)
    CONVERTERS[i] = ConverterSet_0_92.CONVERTERS[i];
}

public Converter[] getConverters()
{
  return CONVERTERS;
}
}
