package org.jaggregator.rss.rss_2_00;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.jaggregator.rss.Guid;

/**
 * Canonical implementation of the <code>Guid</code> interface.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.4 $
 */
public class GuidImpl_2_00
  implements Guid
{
private boolean permaLink = true;
private String guidString;

public GuidImpl_2_00()
{}

public boolean isPermaLink() 
{
  return permaLink;
}

public void setPermaLink(boolean permaLink)
{
  this.permaLink = permaLink;
}

public String getGuid()
{
  return guidString;
}

public void setGuid(String guidString)
{
  this.guidString = guidString;
}

public boolean equals(Object o) 
{
  if(!(o instanceof GuidImpl_2_00))
    return false;

  GuidImpl_2_00 rhs = (GuidImpl_2_00) o;
  return new EqualsBuilder()
    .append(permaLink, rhs.permaLink)
    .append(guidString, rhs.guidString)
    .isEquals();
}

public int hashCode() 
{
  return new HashCodeBuilder(51, 53)
    .append(permaLink)
    .append(guidString)
    .toHashCode();
}
}
